#
# spec file for package kdevel (Version alpha)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake autoconf qtlib qtdevel gpp libgpp ksupp klibs kbase libz gettext libgif libjpeg

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         kdevel
Release:      20
Copyright:    1997,1998 The KDE-Team
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      KDE development tools (Alpha!)
Version:      alpha
Source0:  kdevel.tar.gz
Source3:  ksegfault-0.1.tgz
Source4:  ktranslator-0.3.2.tar.gz
Source5:  kdialog-0.1.tgz
Source6:  kdbg-0.1.4.tar.gz
Patch4:   ktranslator.dif
%description
Alpha stage!
Some KDE packages are still in an early development stage. Thus, KDE being
relatively stable, it may nevertheless happen that any of the KDE
applications crashes or produces strange effects.
This package is especially concerned since it was built from
not yet officially released programs.
Newest KDE packages adepted to S.u.S.E. Linux may be found at
ftp://ftp.suse.com/pub/suse_update/KDE. 
General information for KDE can be found at the respective addresses
in WWW (http://www.kde.org) or our support database
(http://www.suse.de/Support/sdb). 
Contains some tools to administrate software projects.
Documentation in:
/usr/doc/packages/kde/kdevel 

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kdevel -b 3 -b 4 -b 5 -b 6
cd ../ktranslator-0.3.2
%patch -P 4
%build
. variables.sh
cd ..
export PATH=.:$PATH
for FILE in `find -name "*.P"` `find -name "config.cache"` `find -name "config.status"`
do
    echo -n "Removing $FILE..."
    rm -f $FILE
    echo "Done."
done
for DIR in *
do
    ( 
	cd $DIR 
	test -f configure && \
	    chmod u+x configure && \
	    ./configure \
		--prefix=${KDEDIR} \
		--with-qt-dir=${QTDIR} \
		--with-qt-includes=${QTDIR}/include \
		--with-qt-libraries=${QTDIR}/lib
	test -f Makefile && make 
    )
done
%install
. variables.sh
export PATH=.:$PATH
export MYDOCS=${DOCROOT}/kdevel
cd ..
for DIR in *
do
    ( cd $DIR && make install )
done
install -m 755 -d ${MYDOCS}
#
# move kdelnk files to other
# menu hirarchy
#
cd /opt/kde/share/applnk
rm -rf Alpha
mkdir Alpha
for i in Applications Utilities 
do
   rm -rf Alpha/$i
   mkdir Alpha/$i
   cp -R $i/* Alpha/$i
   rm -rf $i
done
Check
%files
%dir /opt/kde/share/apps/kdbg
%dir /opt/kde/share/apps/kdbg/pics
%docdir /opt/kde/share/doc/HTML/de/kdbg
%docdir /opt/kde/share/doc/HTML/en/kdbg
%docdir /opt/kde/share/doc/HTML/en/ktranslator
%docdir /usr/doc/packages/kde/kdevel
/opt/kde/bin/kdbg
/opt/kde/bin/kdialog
/opt/kde/bin/kframe
/opt/kde/bin/ksegfault
/opt/kde/bin/ktranslator
/opt/kde/share/applnk/Alpha/Applications/kdbg.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/ktranslator.kdelnk
/opt/kde/share/apps/kdbg/pics/brkdis.xpm
/opt/kde/share/apps/kdbg/pics/brkena.xpm
/opt/kde/share/apps/kdbg/pics/brkpt.xpm
/opt/kde/share/apps/kdbg/pics/brktmp.xpm
/opt/kde/share/apps/kdbg/pics/green-bullet.xpm
/opt/kde/share/apps/kdbg/pics/pcinner.xpm
/opt/kde/share/apps/kdbg/pics/pcup.xpm
/opt/kde/share/apps/kdbg/pics/pgmfinish.xpm
/opt/kde/share/apps/kdbg/pics/pgmnext.xpm
/opt/kde/share/apps/kdbg/pics/pgmrun.xpm
/opt/kde/share/apps/kdbg/pics/pgmstep.xpm
/opt/kde/share/apps/kdbg/pics/pointer.xpm
/opt/kde/share/apps/kdbg/pics/red-bullet.xpm
/opt/kde/share/config/ktranslatorrc
%doc /opt/kde/share/doc/HTML/de/kdbg/index.html
%doc /opt/kde/share/doc/HTML/en/kdbg/index.html
%doc /opt/kde/share/doc/HTML/en/ktranslator/index.html
%doc /opt/kde/share/doc/HTML/en/ktranslator/logotp3.gif
/opt/kde/share/icons/kdbg.xpm
/opt/kde/share/icons/mini/kdbg.xpm
/opt/kde/share/locale/cs/LC_MESSAGES/kdbg.mo
/opt/kde/share/locale/de/LC_MESSAGES/kdbg.mo
/opt/kde/share/locale/de/LC_MESSAGES/kdialog.mo
/opt/kde/share/locale/de/LC_MESSAGES/kframe.mo
/opt/kde/share/locale/es/LC_MESSAGES/kdbg.mo
/opt/kde/share/locale/fr/LC_MESSAGES/kdbg.mo
/opt/kde/share/locale/hu/LC_MESSAGES/kdbg.mo
/opt/kde/share/locale/it/LC_MESSAGES/kdbg.mo
/opt/kde/share/locale/nl/LC_MESSAGES/kdbg.mo
/opt/kde/share/locale/pl/LC_MESSAGES/kdbg.mo
/opt/kde/share/locale/pt/LC_MESSAGES/kdbg.mo
/opt/kde/share/locale/ru/LC_MESSAGES/kdbg.mo
/opt/kde/share/locale/sv/LC_MESSAGES/kdbg.mo

